Ext.define('MyApp.view.Main', {
    extend: 'Ext.tab.Panel',
    xtype: 'main',
    requires: [
        'Ext.TitleBar',
        'Ext.Video',
		'Ext.carousel.Carousel'
    ],
    config: {
        tabBarPosition: 'bottom',
		
        items: [
            {
                title: 'Welcome',
                iconCls: 'home',

                styleHtmlContent: true,
                scrollable: false,
				layout: 'vbox',
				style: 'background-image: url("resources/images/bg.jpg");backgroundRepeat: no-repeat; backgroundPosition: center;backgroundSize: cover',
				
                items: [			
					{
						docked: 'top',
						xtype: 'titlebar',
						title: 'Web Programming Workshop'
					},	
					{
						xtype: 'carousel', 
						flex: 1,
						style: 'background-color:black; opacity: 0.8;padding: 10px 10px;border: 1px solid white; color: white;text-align:center;',
						
						items: [
							{
								docked: 'top',
								xtype: 'titlebar',
								title: 'TODAY\'S PRESENT'
								},	
							{
								xtype: 'panel',
								html: '<br><img src="resources/images/jquery_logo.png" style="width:150px;border: 1px solid white;"/><br><div style="margin: 10px; padding: 5px 10px; "><b><< JQuery >></b></div>',
							},
							{	xtype: 'panel',
								html: '<br><img src="resources/images/html5.jpg" style="width:150px;border: 1px solid white;"/><br><div style="margin: 10px; padding: 5px 10px; "><b><< HTML5 >></b></div>',
							},
							{	xtype: 'panel',
								html: '<br><img src="resources/images/css3.jpg" style="width:150px;border: 1px solid white;"/><br><div style="margin: 10px; padding: 5px 10px; "><b><< CSS3 >></b></div>',
							},
							{	xtype: 'panel',
								html: '<br><img src="resources/images/jquery_mobile.jpg" style="width:150px;border: 1px solid white;"/><br><div style="margin: 10px; padding: 5px 10px; "><b><< JQuery Mobile >></b></div>',
							}
						
						]
					}
				]
               
            },
            {
                title: 'Contact Us',
                iconCls: 'action',
				scrollable: true,
				styleHtmlContent: true,
				layout: 'vbox',
				style: 'background-image: url("resources/images/bg.jpg");backgroundRepeat: no-repeat; backgroundPosition: center;backgroundSize: cover',
				
                items: [
                    {
                        docked: 'top',
                        xtype: 'titlebar',
                        title: 'Contact Us'
                    },
                    {
                        xtype: 'panel',
						flex: 1,
						style: 'background-color:rgba(0,0,0,0.5);padding: 10px 10px;border: 1px solid black;backgroundSize: cover;',
						html: '<div style="text-align:center;color: white;font-size: 16px;margin-top: 10px;"><b>Department of <br>Computer Science, HKBU<b></div><div style="text-align:center;margin-top:10px;"><img src="resources/images/csd.png" width="130"/></div><div style="margin-top: 10px; ;text-align:center; color:white;" >Email:<br> wp-workshop@comp.hkbu.edu.hk</div>',
						
                    }
                ]
            }
        ]
    }
});
